Bug 9372 - lilo.conf permissions changed on upgrade
lilo.conf permissions changed on upgrade
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
: Security
Depends On:
  Show dependency treegraph
Reported: 2000-02-11 21:34 EST by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-14 11:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2000-02-11 21:34:11 EST
On an upgrade, /etc/lilo.conf is changed to contain information on the new
kernel images, and removes the information on old kernels installed via
RPM.  Otherwise, it largely leaves the file "as-is".  But, when it does so,
it opens a completely new file for the new /etc/lilo.conf (after moving the
old one to .rpmsave).  Without checking permissions on the rpmsave, it sets
them to 0644.  This is a problem on systems which have the "restrict"
keyword and a password in the file to prevent users from booting into
single user mode and now to also prevent being able to boot into anaconda
reconfig mode.

As /etc/lilo.conf.rpmsave maintains the correct permissions, probably the
easiest thing to do would be to check the permissions on it and use them
for the chmod instead if it exists in the write function of lilo.py
Comment 1 Jay Turner 2000-02-12 07:53:59 EST
Mr. Katz to the rescue again :-)
I am not in front of a machine right now, but am 99% sure that you are right
about this.  Will add it to list of things for fixing.
Comment 2 Jay Turner 2000-02-14 11:14:59 EST
This issue is fixed and the fix will show up in the next RawHide that we cut.

Note You need to log in before you can comment on or make changes to this bug.